unit HWave;

interface

uses
  Windows;

type
  TDACEntry = packed record
    Channel: Word;
    Value: Word;
  end;
  TPDACEntry = ^TDACEntry;

function HWave_Start(DeviceIndex: LongWord; Milliseconds: Double; BufferDepth: LongInt): LongWord; cdecl; external 'HWave.dll';
function HWave_Stop(DeviceIndex: LongWord): LongWord; cdecl; external 'HWave.dll';
function HWave_Queue(DeviceIndex: LongWord; pData: PWord): LongWord; cdecl; external 'HWave.dll';
function HWave_QueueMulti(DeviceIndex: LongWord; pDACData: TPDACEntry; DACDataCount: LongWord): LongWord; cdecl; external 'HWave.dll';
function HWave_FlushQueue(DeviceIndex: LongWord): LongWord; cdecl; external 'HWave.dll';
function HWave_ResetClock(DeviceIndex: LongWord): LongWord; cdecl; external 'HWave.dll';
function HWave_ChangeClockRate(DeviceIndex: LongWord; Milliseconds: Double): LongWord; cdecl; external 'HWave.dll';



implementation

end.
